Package com.ericsson.otp.erlang

## Interface OtpServerTransport

All Known Implementing Classes:
  `OtpServerSocketTransport`

    public interface OtpServerTransport

Server-side connection-oriented transport interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`OtpTransport` `accept()`
`void` `close()`
`int` `getLocalPort()`

### Method Detail

#### getLocalPort

    int getLocalPort()

See Also:
  `ServerSocket.getLocalPort()`

#### accept

    OtpTransport accept()
                 throws java.io.IOException

Throws:
  `java.io.IOException`
See Also:
  `ServerSocket.accept()`

#### close

    void close()
        throws java.io.IOException

Throws:
  `java.io.IOException`
See Also:
  `ServerSocket.close()`